GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

        • Logout

        • Manage Token

        • Register

        • User information

        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

        • Others

          • Get server public information
          • Get country list
        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. Others

  10. /
  11. Get country list

¶ Get the country list

Update time: 2025-07-23 07:34:21
Edit

Dynamically get the country list, which can be used for front-end login page country selection and international SMS input box selection to reduce the size of front-end static resources.

¶ Method Name

AuthenticationClient.getCountryList

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value

¶ Request Response

Type: GetCountryListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type.
requestIdstringRequest ID. It will be returned when the request fails.
dataarrayResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "alpha2": "CN",
    "alpha3": "CHN",
    "phoneCountryCode": "+86",
    "flag": "🇨🇳",
    "name": {
      "zh-CN": {
        "enabled": false,
        "value": "中国"
      },
      "en-US": {
        "enabled": false,
        "value": "China"
      }
    }
  }
}

¶ Data Structure

¶ CountryDetailInfo

NameType
Is it required
Description
Example Value
alpha2stringYesAlpha-2 abbreviation of the country in the ISO 3166 international standard (opens new window)CN
alpha3stringYesAlpha-3 abbreviation of the country in the ISO 3166 international standard (opens new window)CHN
phoneCountryCodestringYesCountry mobile phone area code+86
flagstringYesFlag icon🇨🇳
nameYesName, multi-language structure, currently only supports Chinese and English Nested Type: LangObject.{"zh-CN":{"enabled":false,"value":"中国"},"en-US":{"enabled":false,"value":"中国"}}

¶ LangObject

NameType
Is it required
Description
Example Value
zh-CNYesMulti-language Chinese content Nested Type: LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested Type: LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nested Type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nested Type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required
Description
Example Value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content
Previous article: Get server public information Next article: OIDC module
  • Method Name
  • Request Parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.